
_Comm_Delay:

;Radio nRF24L01 PIC16F877A.c,62 :: 		void Comm_Delay() {Delay_us(10);}       // You can experiment with this delay
	MOVLW      6
	MOVWF      R13+0
L_Comm_Delay0:
	DECFSZ     R13+0, 1
	GOTO       L_Comm_Delay0
	NOP
L_end_Comm_Delay:
	RETURN
; end of _Comm_Delay

_Delay_10:

;Radio nRF24L01 PIC16F877A.c,63 :: 		void Delay_10()   {Delay_ms(10);}
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L_Delay_101:
	DECFSZ     R13+0, 1
	GOTO       L_Delay_101
	DECFSZ     R12+0, 1
	GOTO       L_Delay_101
	NOP
L_end_Delay_10:
	RETURN
; end of _Delay_10

_Delay_100:

;Radio nRF24L01 PIC16F877A.c,64 :: 		void Delay_100()  {Delay_ms(100);}
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_Delay_1002:
	DECFSZ     R13+0, 1
	GOTO       L_Delay_1002
	DECFSZ     R12+0, 1
	GOTO       L_Delay_1002
	DECFSZ     R11+0, 1
	GOTO       L_Delay_1002
	NOP
L_end_Delay_100:
	RETURN
; end of _Delay_100

_Delay_500:

;Radio nRF24L01 PIC16F877A.c,65 :: 		void Delay_500()  {Delay_ms(500);}
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_Delay_5003:
	DECFSZ     R13+0, 1
	GOTO       L_Delay_5003
	DECFSZ     R12+0, 1
	GOTO       L_Delay_5003
	DECFSZ     R11+0, 1
	GOTO       L_Delay_5003
	NOP
	NOP
L_end_Delay_500:
	RETURN
; end of _Delay_500

_Clear_Data:

;Radio nRF24L01 PIC16F877A.c,67 :: 		void Clear_Data(char dat[]){
;Radio nRF24L01 PIC16F877A.c,69 :: 		for(i=0;i<dataLength;i++)dat[i] = ' ';
	CLRF       R1+0
L_Clear_Data4:
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	BTFSC      _dataLength+0, 7
	MOVLW      127
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Clear_Data35
	MOVF       _dataLength+0, 0
	SUBWF      R1+0, 0
L__Clear_Data35:
	BTFSC      STATUS+0, 0
	GOTO       L_Clear_Data5
	MOVF       R1+0, 0
	ADDWF      FARG_Clear_Data_dat+0, 0
	MOVWF      FSR
	MOVLW      32
	MOVWF      INDF+0
	INCF       R1+0, 1
	GOTO       L_Clear_Data4
L_Clear_Data5:
;Radio nRF24L01 PIC16F877A.c,70 :: 		}
L_end_Clear_Data:
	RETURN
; end of _Clear_Data

_toggleCSN:

;Radio nRF24L01 PIC16F877A.c,72 :: 		void toggleCSN(){
;Radio nRF24L01 PIC16F877A.c,73 :: 		Csn_pin = 1;
	BSF        PORTC+0, 2
;Radio nRF24L01 PIC16F877A.c,74 :: 		Delay_us(20);                      // You can experiment with this delay
	MOVLW      13
	MOVWF      R13+0
L_toggleCSN7:
	DECFSZ     R13+0, 1
	GOTO       L_toggleCSN7
;Radio nRF24L01 PIC16F877A.c,75 :: 		Csn_pin = 0;
	BCF        PORTC+0, 2
;Radio nRF24L01 PIC16F877A.c,76 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,77 :: 		}
L_end_toggleCSN:
	RETURN
; end of _toggleCSN

_Get_Status:

;Radio nRF24L01 PIC16F877A.c,79 :: 		char Get_Status(){
;Radio nRF24L01 PIC16F877A.c,81 :: 		Ce_pin = 0;
	BCF        PORTC+0, 1
;Radio nRF24L01 PIC16F877A.c,82 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,83 :: 		SPI1_Write(STATUS);
	MOVLW      7
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,84 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,85 :: 		s = SPI1_Read(NOP);
	MOVLW      255
	MOVWF      FARG_SPI1_Read_buffer+0
	CALL       _SPI1_Read+0
	MOVF       R0+0, 0
	MOVWF      Get_Status_s_L0+0
;Radio nRF24L01 PIC16F877A.c,86 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,87 :: 		Csn_pin = 1;
	BSF        PORTC+0, 2
;Radio nRF24L01 PIC16F877A.c,88 :: 		return s;
	MOVF       Get_Status_s_L0+0, 0
	MOVWF      R0+0
;Radio nRF24L01 PIC16F877A.c,89 :: 		}
L_end_Get_Status:
	RETURN
; end of _Get_Status

_getConst:

;Radio nRF24L01 PIC16F877A.c,91 :: 		char *getConst(char dest[], const char source[]){
;Radio nRF24L01 PIC16F877A.c,92 :: 		int i = 0;
	CLRF       getConst_i_L0+0
	CLRF       getConst_i_L0+1
;Radio nRF24L01 PIC16F877A.c,93 :: 		while (source[i])                  // while (source[i] != '\0')
L_getConst8:
	MOVF       getConst_i_L0+0, 0
	ADDWF      FARG_getConst_source+0, 0
	MOVWF      R0+0
	MOVF       FARG_getConst_source+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      getConst_i_L0+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_getConst9
;Radio nRF24L01 PIC16F877A.c,94 :: 		{dest[i] = source[i]; i++;}
	MOVF       getConst_i_L0+0, 0
	ADDWF      FARG_getConst_dest+0, 0
	MOVWF      R2+0
	MOVF       getConst_i_L0+0, 0
	ADDWF      FARG_getConst_source+0, 0
	MOVWF      R0+0
	MOVF       FARG_getConst_source+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      getConst_i_L0+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R2+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	INCF       getConst_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       getConst_i_L0+1, 1
	GOTO       L_getConst8
L_getConst9:
;Radio nRF24L01 PIC16F877A.c,95 :: 		dest[i] = '\0';
	MOVF       getConst_i_L0+0, 0
	ADDWF      FARG_getConst_dest+0, 0
	MOVWF      FSR
	CLRF       INDF+0
;Radio nRF24L01 PIC16F877A.c,96 :: 		return dest;
	MOVF       FARG_getConst_dest+0, 0
	MOVWF      R0+0
;Radio nRF24L01 PIC16F877A.c,97 :: 		}
L_end_getConst:
	RETURN
; end of _getConst

_Get_FIFO_Flags:

;Radio nRF24L01 PIC16F877A.c,99 :: 		char Get_FIFO_Flags(){
;Radio nRF24L01 PIC16F877A.c,101 :: 		Ce_pin = 0;
	BCF        PORTC+0, 1
;Radio nRF24L01 PIC16F877A.c,102 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,103 :: 		SPI1_Write(FIFO_STATUS);
	MOVLW      23
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,104 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,105 :: 		s = SPI1_Read(NOP);
	MOVLW      255
	MOVWF      FARG_SPI1_Read_buffer+0
	CALL       _SPI1_Read+0
	MOVF       R0+0, 0
	MOVWF      Get_FIFO_Flags_s_L0+0
;Radio nRF24L01 PIC16F877A.c,106 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,107 :: 		Csn_pin = 1;
	BSF        PORTC+0, 2
;Radio nRF24L01 PIC16F877A.c,108 :: 		return s;
	MOVF       Get_FIFO_Flags_s_L0+0, 0
	MOVWF      R0+0
;Radio nRF24L01 PIC16F877A.c,109 :: 		}
L_end_Get_FIFO_Flags:
	RETURN
; end of _Get_FIFO_Flags

_makeMsg:

;Radio nRF24L01 PIC16F877A.c,111 :: 		void makeMsg(){                        // Put your data in here
;Radio nRF24L01 PIC16F877A.c,112 :: 		Clear_Data(Data_Out);
	MOVLW      _Data_Out+0
	MOVWF      FARG_Clear_Data_dat+0
	CALL       _Clear_Data+0
;Radio nRF24L01 PIC16F877A.c,113 :: 		getConst(Data_Out, test);
	MOVLW      _Data_Out+0
	MOVWF      FARG_getConst_dest+0
	MOVLW      _test+0
	MOVWF      FARG_getConst_source+0
	MOVLW      hi_addr(_test+0)
	MOVWF      FARG_getConst_source+1
	CALL       _getConst+0
;Radio nRF24L01 PIC16F877A.c,114 :: 		}
L_end_makeMsg:
	RETURN
; end of _makeMsg

_readBuffer:

;Radio nRF24L01 PIC16F877A.c,116 :: 		char readBuffer(){
;Radio nRF24L01 PIC16F877A.c,118 :: 		Ce_pin = 0;
	BCF        PORTC+0, 1
;Radio nRF24L01 PIC16F877A.c,119 :: 		Clear_Data(Data_In);
	MOVLW      _Data_In+0
	MOVWF      FARG_Clear_Data_dat+0
	CALL       _Clear_Data+0
;Radio nRF24L01 PIC16F877A.c,120 :: 		s = Get_FIFO_Flags();
	CALL       _Get_FIFO_Flags+0
	MOVF       R0+0, 0
	MOVWF      readBuffer_s_L0+0
;Radio nRF24L01 PIC16F877A.c,121 :: 		if((s & 2) != 0){
	MOVLW      2
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_readBuffer10
;Radio nRF24L01 PIC16F877A.c,122 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,123 :: 		SPI1_Write(R_RX_PAYLOAD);
	MOVLW      97
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,124 :: 		for(i=0; i < dataLength; i++){Comm_Delay(); Data_In[i] = SPI1_Read(0);}
	CLRF       readBuffer_i_L0+0
L_readBuffer11:
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	BTFSC      _dataLength+0, 7
	MOVLW      127
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__readBuffer42
	MOVF       _dataLength+0, 0
	SUBWF      readBuffer_i_L0+0, 0
L__readBuffer42:
	BTFSC      STATUS+0, 0
	GOTO       L_readBuffer12
	CALL       _Comm_Delay+0
	MOVF       readBuffer_i_L0+0, 0
	ADDLW      _Data_In+0
	MOVWF      FLOC__readBuffer+0
	CLRF       FARG_SPI1_Read_buffer+0
	CALL       _SPI1_Read+0
	MOVF       FLOC__readBuffer+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	INCF       readBuffer_i_L0+0, 1
	GOTO       L_readBuffer11
L_readBuffer12:
;Radio nRF24L01 PIC16F877A.c,125 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,126 :: 		}
L_readBuffer10:
;Radio nRF24L01 PIC16F877A.c,127 :: 		Csn_pin = 1;
	BSF        PORTC+0, 2
;Radio nRF24L01 PIC16F877A.c,128 :: 		Ce_pin = 1;
	BSF        PORTC+0, 1
;Radio nRF24L01 PIC16F877A.c,129 :: 		return s;
	MOVF       readBuffer_s_L0+0, 0
	MOVWF      R0+0
;Radio nRF24L01 PIC16F877A.c,130 :: 		}
L_end_readBuffer:
	RETURN
; end of _readBuffer

_sendBuffer:

;Radio nRF24L01 PIC16F877A.c,132 :: 		void sendBuffer(){
;Radio nRF24L01 PIC16F877A.c,134 :: 		do{
L_sendBuffer14:
;Radio nRF24L01 PIC16F877A.c,135 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,136 :: 		SPI1_Write(STATUS | W_REGISTER);
	MOVLW      39
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,137 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,138 :: 		SPI1_Write(0xff);            //clear flags
	MOVLW      255
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,139 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,140 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,141 :: 		SPI1_Write(FLUSH_TX);
	MOVLW      225
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,142 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,143 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,144 :: 		SPI1_Write(W_TX_PAYLOAD);
	MOVLW      160
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,145 :: 		for(i = 0; i < dataLength; i++) {Comm_Delay(); SPI1_Write(Data_Out[i]);}
	CLRF       sendBuffer_i_L0+0
L_sendBuffer17:
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	BTFSC      _dataLength+0, 7
	MOVLW      127
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__sendBuffer44
	MOVF       _dataLength+0, 0
	SUBWF      sendBuffer_i_L0+0, 0
L__sendBuffer44:
	BTFSC      STATUS+0, 0
	GOTO       L_sendBuffer18
	CALL       _Comm_Delay+0
	MOVF       sendBuffer_i_L0+0, 0
	ADDLW      _Data_Out+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
	INCF       sendBuffer_i_L0+0, 1
	GOTO       L_sendBuffer17
L_sendBuffer18:
;Radio nRF24L01 PIC16F877A.c,146 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,147 :: 		Csn_pin = 1;
	BSF        PORTC+0, 2
;Radio nRF24L01 PIC16F877A.c,148 :: 		Ce_pin = 1;
	BSF        PORTC+0, 1
;Radio nRF24L01 PIC16F877A.c,149 :: 		Delay_10();
	CALL       _Delay_10+0
;Radio nRF24L01 PIC16F877A.c,150 :: 		j = (Get_Status() & 0x20);                     // keep trying until ack is received
	CALL       _Get_Status+0
	MOVLW      32
	ANDWF      R0+0, 0
	MOVWF      R1+0
;Radio nRF24L01 PIC16F877A.c,151 :: 		}while(j==0);
	MOVF       R1+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_sendBuffer14
;Radio nRF24L01 PIC16F877A.c,152 :: 		}
L_end_sendBuffer:
	RETURN
; end of _sendBuffer

_init_Radio:

;Radio nRF24L01 PIC16F877A.c,154 :: 		char init_Radio(){
;Radio nRF24L01 PIC16F877A.c,156 :: 		Ce_pin = 0;                                      // must be in standby or power down to write
	BCF        PORTC+0, 1
;Radio nRF24L01 PIC16F877A.c,157 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,158 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,159 :: 		SPI1_Write(CONFIG | W_REGISTER);
	MOVLW      32
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,160 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,179 :: 		SPI1_Write(PWR_UP + CRCO + EN_CRC);              // Transmitter
	MOVLW      14
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,180 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,182 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,183 :: 		SPI1_Write(EN_AA | W_REGISTER);
	MOVLW      33
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,184 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,185 :: 		SPI1_Write(ENAA_P0);
	MOVLW      1
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,186 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,188 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,189 :: 		SPI1_Write(EN_RXADDR | W_REGISTER);
	MOVLW      34
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,190 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,191 :: 		SPI1_Write(ERX_P0);
	MOVLW      1
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,192 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,194 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,195 :: 		SPI1_Write(RX_ADDR_P0 | W_REGISTER);
	MOVLW      42
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,196 :: 		for(i=0;i<5;i++){Comm_Delay(); SPI1_Write(adr0[i]);} // This is the pipe in use by this transmitter
	CLRF       init_Radio_i_L0+0
L_init_Radio20:
	MOVLW      5
	SUBWF      init_Radio_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_init_Radio21
	CALL       _Comm_Delay+0
	MOVF       init_Radio_i_L0+0, 0
	ADDLW      _adr0+0
	MOVWF      R0+0
	MOVLW      hi_addr(_adr0+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
	INCF       init_Radio_i_L0+0, 1
	GOTO       L_init_Radio20
L_init_Radio21:
;Radio nRF24L01 PIC16F877A.c,197 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,199 :: 		toggleCSN();                                         // Choose any of the 6 addresses used by the receiver
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,200 :: 		SPI1_Write(TX_ADDR | W_REGISTER);
	MOVLW      48
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,201 :: 		for(i=0;i<5;i++){Comm_Delay(); SPI1_Write(adr0[i]);} // This is the pipe in use by this transmitter
	CLRF       init_Radio_i_L0+0
L_init_Radio23:
	MOVLW      5
	SUBWF      init_Radio_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_init_Radio24
	CALL       _Comm_Delay+0
	MOVF       init_Radio_i_L0+0, 0
	ADDLW      _adr0+0
	MOVWF      R0+0
	MOVLW      hi_addr(_adr0+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
	INCF       init_Radio_i_L0+0, 1
	GOTO       L_init_Radio23
L_init_Radio24:
;Radio nRF24L01 PIC16F877A.c,202 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,205 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,206 :: 		SPI1_Write(SETUP_AW | W_REGISTER);
	MOVLW      35
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,207 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,208 :: 		SPI1_Write(AW5);
	MOVLW      3
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,209 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,211 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,212 :: 		SPI1_Write(SETUP_RETR | W_REGISTER);
	MOVLW      36
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,213 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,214 :: 		SPI1_Write(0xfaf);
	MOVLW      175
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,215 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,217 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,218 :: 		SPI1_Write(RF_CH | W_REGISTER);
	MOVLW      37
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,219 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,220 :: 		SPI1_Write(83);                                      // Set your channel here. Obviously it must be the same for TX and RX.
	MOVLW      83
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,221 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,223 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,224 :: 		SPI1_Write(RF_SETUP | W_REGISTER);
	MOVLW      38
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,225 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,226 :: 		SPI1_Write(RF_PWR + LNA_HCURR);
	MOVLW      7
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,227 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,296 :: 		toggleCSN();
	CALL       _toggleCSN+0
;Radio nRF24L01 PIC16F877A.c,297 :: 		SPI1_Write(RX_PW_P0 | W_REGISTER);
	MOVLW      49
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,298 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,299 :: 		SPI1_Write(dataLength);
	MOVF       _dataLength+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Radio nRF24L01 PIC16F877A.c,300 :: 		Comm_Delay();
	CALL       _Comm_Delay+0
;Radio nRF24L01 PIC16F877A.c,302 :: 		Csn_pin = 1;
	BSF        PORTC+0, 2
;Radio nRF24L01 PIC16F877A.c,303 :: 		i = Get_Status();
	CALL       _Get_Status+0
	MOVF       R0+0, 0
	MOVWF      init_Radio_i_L0+0
;Radio nRF24L01 PIC16F877A.c,304 :: 		return i;
;Radio nRF24L01 PIC16F877A.c,305 :: 		}
L_end_init_Radio:
	RETURN
; end of _init_Radio

_main:

;Radio nRF24L01 PIC16F877A.c,310 :: 		void main(){
;Radio nRF24L01 PIC16F877A.c,312 :: 		ADCON1 = 0x04;                           // digital not analog
	MOVLW      4
	MOVWF      ADCON1+0
;Radio nRF24L01 PIC16F877A.c,313 :: 		CMCON = 7;                               // Comparators off
	MOVLW      7
	MOVWF      CMCON+0
;Radio nRF24L01 PIC16F877A.c,317 :: 		Csn_tris = 0;
	BCF        TRISC+0, 2
;Radio nRF24L01 PIC16F877A.c,318 :: 		Csn_pin = 1;
	BSF        PORTC+0, 2
;Radio nRF24L01 PIC16F877A.c,319 :: 		Ce_tris = 0;
	BCF        TRISC+0, 1
;Radio nRF24L01 PIC16F877A.c,320 :: 		Ce_pin = 0;                              // 1 = listen or transmit
	BCF        PORTC+0, 1
;Radio nRF24L01 PIC16F877A.c,322 :: 		SPI1_Init();
	CALL       _SPI1_Init+0
;Radio nRF24L01 PIC16F877A.c,324 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_main26:
	DECFSZ     R13+0, 1
	GOTO       L_main26
	DECFSZ     R12+0, 1
	GOTO       L_main26
	DECFSZ     R11+0, 1
	GOTO       L_main26
;Radio nRF24L01 PIC16F877A.c,325 :: 		stat = init_Radio();
	CALL       _init_Radio+0
	MOVF       R0+0, 0
	MOVWF      _stat+0
;Radio nRF24L01 PIC16F877A.c,328 :: 		Clear_Data(Data_Out);
	MOVLW      _Data_Out+0
	MOVWF      FARG_Clear_Data_dat+0
	CALL       _Clear_Data+0
;Radio nRF24L01 PIC16F877A.c,331 :: 		Lcd_Init();                              // Initialize LCD
	CALL       _Lcd_Init+0
;Radio nRF24L01 PIC16F877A.c,332 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Radio nRF24L01 PIC16F877A.c,333 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Radio nRF24L01 PIC16F877A.c,334 :: 		Lcd_Out(1, 1, "nRF24L01+");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_Radio_32nRF24L01_32PIC16F877A+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radio nRF24L01 PIC16F877A.c,335 :: 		ByteToHex(stat, txt);
	MOVF       _stat+0, 0
	MOVWF      FARG_ByteToHex_input+0
	MOVLW      main_txt_L0+0
	MOVWF      FARG_ByteToHex_output+0
	CALL       _ByteToHex+0
;Radio nRF24L01 PIC16F877A.c,336 :: 		Lcd_Out(2, 1, txt);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      main_txt_L0+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radio nRF24L01 PIC16F877A.c,337 :: 		Delay_500();
	CALL       _Delay_500+0
;Radio nRF24L01 PIC16F877A.c,339 :: 		do {
L_main27:
;Radio nRF24L01 PIC16F877A.c,341 :: 		Lcd_Cmd(_LCD_CLEAR);                     // Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Radio nRF24L01 PIC16F877A.c,343 :: 		dat1 = Get_Status();
	CALL       _Get_Status+0
;Radio nRF24L01 PIC16F877A.c,344 :: 		ByteToHex(dat1, txt);
	MOVF       R0+0, 0
	MOVWF      FARG_ByteToHex_input+0
	MOVLW      main_txt_L0+0
	MOVWF      FARG_ByteToHex_output+0
	CALL       _ByteToHex+0
;Radio nRF24L01 PIC16F877A.c,345 :: 		Delay_10();
	CALL       _Delay_10+0
;Radio nRF24L01 PIC16F877A.c,346 :: 		Lcd_Out(1, 6, txt);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      6
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      main_txt_L0+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radio nRF24L01 PIC16F877A.c,347 :: 		dat1 = Get_FIFO_Flags();
	CALL       _Get_FIFO_Flags+0
;Radio nRF24L01 PIC16F877A.c,348 :: 		ByteToHex(dat1, txt);
	MOVF       R0+0, 0
	MOVWF      FARG_ByteToHex_input+0
	MOVLW      main_txt_L0+0
	MOVWF      FARG_ByteToHex_output+0
	CALL       _ByteToHex+0
;Radio nRF24L01 PIC16F877A.c,349 :: 		Delay_10();
	CALL       _Delay_10+0
;Radio nRF24L01 PIC16F877A.c,350 :: 		Lcd_Out(1, 11, txt);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      main_txt_L0+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radio nRF24L01 PIC16F877A.c,353 :: 		Lcd_Out(1, 1, "TX");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_Radio_32nRF24L01_32PIC16F877A+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radio nRF24L01 PIC16F877A.c,354 :: 		Lcd_Out(2, 1, Data_Out);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Data_Out+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radio nRF24L01 PIC16F877A.c,355 :: 		Delay_100();
	CALL       _Delay_100+0
;Radio nRF24L01 PIC16F877A.c,356 :: 		makeMsg();
	CALL       _makeMsg+0
;Radio nRF24L01 PIC16F877A.c,357 :: 		sendBuffer();
	CALL       _sendBuffer+0
;Radio nRF24L01 PIC16F877A.c,358 :: 		Delay_100();
	CALL       _Delay_100+0
;Radio nRF24L01 PIC16F877A.c,371 :: 		}while(1);
	GOTO       L_main27
;Radio nRF24L01 PIC16F877A.c,372 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
